#3 Figure out how to update NSS past 3.64

Open
opened 7 months ago by mattatobin ยท 0 comments

After my groundbreaking work to get NSS-GYP going on GRE before being purged for no reason.. I had intended for NSS to be updated as high as it reasonably could be likely sticking with current Mozilla ESR level.

I managed to get to 3.64 but versions after that started spouting nonsensical build bustages in IndexedDB and gfx Components. Reporting syntax errors and missing identifiers and the like. Seeing as the specific code has pretty much nothing to do with NSS and going back down to a lower version does not seem to cause these issues.. We are effectively stuck on 3.64 for the foreseeable future.

I, we, someone needs to figure out what exactly Mozilla busted in NSS during what seems to be a refactor storm between 3.64 and 3.65 and either provide a resolution in the form of an NSS patch or change in the rest of the platform.

After my groundbreaking work to get `NSS-GYP` going on `GRE` before being purged for no reason.. I had intended for NSS to be updated as high as it reasonably could be likely sticking with current Mozilla ESR level. I managed to get to 3.64 but versions after that started spouting nonsensical build bustages in `IndexedDB` and `gfx` Components. Reporting syntax errors and missing identifiers and the like. Seeing as the specific code has pretty much nothing to do with NSS and going back down to a lower version does not seem to cause these issues.. We are effectively stuck on 3.64 for the foreseeable future. I, we, someone needs to figure out what exactly Mozilla busted in NSS during what seems to be a refactor storm between 3.64 and 3.65 and either provide a resolution in the form of an NSS patch or change in the rest of the platform.
Sign in to join this conversation.
No Milestone
No assignee
1 Participants
Loading...
Cancel
Save
There is no content yet.